Package org.apache.sling.models.impl.injectors

# Class RequestAttributeInjector

java.lang.Object
org.apache.sling.models.impl.injectors.RequestAttributeInjector

All Implemented Interfaces:
  `org.apache.sling.models.spi.Injector`, `org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory`

public class RequestAttributeInjector extends Object implements org.apache.sling.models.spi.Injector, org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory

## Constructor Summary

Constructors
Constructor
Description
`RequestAttributeInjector()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2`
`createAnnotationProcessor(AnnotatedElement element)`
`@NotNull String`
`getName()`
`Object`
`getValue(@NotNull Object adaptable, String name, @NotNull Type declaredType, @NotNull AnnotatedElement element, @NotNull org.apache.sling.models.spi.DisposalCallbackRegistry callbackRegistry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestAttributeInjector

public RequestAttributeInjector()

## Method Details

### getName

@NotNull public @NotNull String getName()

Specified by:
  `getName` in interface `org.apache.sling.models.spi.Injector`

### getValue

public Object getValue(@NotNull @NotNull Object adaptable, String name, @NotNull @NotNull Type declaredType, @NotNull @NotNull AnnotatedElement element, @NotNull @NotNull org.apache.sling.models.spi.DisposalCallbackRegistry callbackRegistry)

Specified by:
  `getValue` in interface `org.apache.sling.models.spi.Injector`

### createAnnotationProcessor

public org.apache.sling.models.spi.injectorspecific.InjectAnnotationProcessor2 createAnnotationProcessor(AnnotatedElement element)

Specified by:
  `createAnnotationProcessor` in interface `org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory`